Bug Hunting Session
Bug 111488 - In "Edit points" mode the sidebar does not update the Area state, when object toggles open/closed
Summary: In "Edit points" mode the sidebar does not update the Area state, when object...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.4.0.3 release
Hardware: x86 (IA32) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Sidebar-Properties-Area
  Show dependency treegraph
 
Reported: 2017-08-08 11:17 UTC by Regina Henschel
Modified: 2019-11-07 12:15 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Regina Henschel 2017-08-08 11:17:46 UTC
Steps to reproduce:
(1) Start Draw and insert a closed polygon.
(2) Press key F8 to toggle to "Edit Points"-mode.
(3) If not automatically opened, open toolbar "Edit Points"
(4) Click icon "Close Bézier" in this toolbar. It is a toggle.

You should see, that the polygon is no longer filled, because only closed objects can be filled.

Error: The sidebar still shows the section "Area", only the icon "More Options" is disabled.

(5) Press key F8 again to leave "Edit Points"-mode. Now the section "Area" is no longer there. That is correct.

(6) Press key F8 again to switch to "Edit Points"-mode. Now the section "Area" is still not shown. That is correct.

(7) Click on icon "Close Bézier". The polygon should be filled now.

Error: The section "Area" in the sidebar does not appear.

(8) Press key F8 to leave "Edit Points"-mode. Now the section "Area" appears.

Conclusion: Update of sidebar does not work correctly in "Edit Points"-mode.
Comment 1 Buovjaga 2017-08-26 17:36:53 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 3c49b28ffa7ab062726e5e600312d9164224404e
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 26th 2017
Comment 2 QA Administrators 2018-08-27 02:35:53 UTC Comment hidden (obsolete)
Comment 3 Regina Henschel 2018-11-06 12:50:14 UTC
The error is still in Version: 6.2.0.0.alpha1+ (x64)
Build ID: f825e6d4082c0d0beb1c95b881f6a2ee9bfc9161
CPU threads: 8; OS: Windows 10.0; UI render: GL; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-11-05_00:20:26
Locale: de-DE (en_US); Calc: CL
Comment 4 QA Administrators 2019-11-07 03:32:58 UTC Comment hidden (obsolete)
Comment 5 Regina Henschel 2019-11-07 12:15:02 UTC
It is worse. Changing the state to "open" - which makes the polygon unfilled - and save. Reopen the file. Error: The polygon is closed and filled.

Tested with Version: 6.4.0.0.alpha1+ (x64)
Build ID: 7c6226bee72805db7f0e567ca9f06c786a7d0da2
CPU threads: 8; OS: Windows 10.0 Build 18362; UI render: default; VCL: win; 
Locale: de-DE (en_US); UI-Language: en-US
Calc: threaded